=== modified file 'annotate/gannotate.py'
--- annotate/gannotate.py	2007-08-16 14:27:37 +0000
+++ annotate/gannotate.py	2007-08-30 23:16:32 +0000
@@ -81,18 +81,17 @@
             for line_no, (revision, revno, line)\
                     in enumerate(self._annotate(tree, file_id)):
                 if revision.revision_id == last_seen and not self.all:
-                    revno = committer = ""
+                    revno = author = ""
                 else:
                     last_seen = revision.revision_id
-                    committer = revision.properties.get('author',
-                        revision.committer)
+                    author = revision.get_apparent_author()
 
                 if revision.revision_id not in self.revisions:
                     self.revisions[revision.revision_id] = revision
 
                 self.annomodel.append([revision.revision_id,
                                        line_no + 1,
-                                       committer,
+                                       author,
                                        revno,
                                        None,
                                        line.rstrip("\r\n")
@@ -409,6 +408,9 @@
         self.timezone = 0
         self.properties = {}
 
+    def get_apparent_author(self):
+        return self.committer
+
 
 class RevisionCache(object):
     """A caching revision source"""

